=== debian/changelog ===
monitorix (3.10.1-1) unstable; urgency=medium

  * Initial release (Closes: #733479)

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Thu, 10 Jan 2019 23:59:45 +0100
