=== debian/control ===
Source: monitorix
Section: utils
Priority: optional
Maintainer: Baptiste BEAUPLAT <lyknode@cilg.org>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.3.0
Homepage: https://www.monitorix.org
Vcs-Browser: https://salsa.debian.org/debian/monitorix
Vcs-Git: https://salsa.debian.org/debian/monitorix.git

Package: monitorix
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, rrdtool, perl, libwww-perl,
 libmailtools-perl, libmime-lite-perl, librrds-perl, libdbi-perl,
 libhttp-server-simple-perl, libconfig-general-perl, libio-socket-ssl-perl,
 libxml-simple-perl, net-tools
Description: lightweight system monitoring tool
 Monitorix is a lightweight tool that allow you to gather and display system
 metrics.
 .
 It consists mainly of two programs: a collector, called monitorix, which is a
 Perl daemon that is started automatically like any other system service, and a
 CGI script called monitorix.cgi. Monitorix includes its own HTTP server built
 in, so you aren't forced to install a third-party web server to use it.
