## monitorix 3.11.0

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 INSTALL_PROGRAM = $(INSTALL) -m755
 INSTALL_DATA = $(INSTALL) -m644
 INSTALL_DIR = $(INSTALL) -d
-INSTALL_WORLDDIR = $(INSTALL) -dm777
+INSTALL_WORLDDIR = $(INSTALL) -dm755
 
 Q = @
 
@@ -64,6 +64,7 @@
 	$(INSTALL_DATA) docs/$(PN).sysconfig "$(DESTDIR)$(CONFDIR)/sysconfig/$(PN)"
 	
 	$(INSTALL_DIR) "$(DESTDIR)$(LIBDIR)"
+	$(INSTALL_DATA) lib/ambsens.pm "$(DESTDIR)$(LIBDIR)/ambsens.pm"
 	$(INSTALL_DATA) lib/apache.pm "$(DESTDIR)$(LIBDIR)/apache.pm"
 	$(INSTALL_DATA) lib/apcupsd.pm "$(DESTDIR)$(LIBDIR)/apcupsd.pm"
 	$(INSTALL_DATA) lib/bind.pm "$(DESTDIR)$(LIBDIR)/bind.pm"
