=== debian/changelog ===
monitorix (3.11.0-2) unstable; urgency=medium

  * Update to policy version 4.4.0 - no changes
  * Add SysV init script
  * Add local_fs as requirement for init script
  * Remove extraneous sysconfig file

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Mon, 15 Jul 2019 21:55:24 +0200

monitorix (3.11.0-1) unstable; urgency=medium

  * New upstream version 3.11.0
  * Rediff patches

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Thu, 14 Mar 2019 18:39:51 +0100

monitorix (3.10.1-2) unstable; urgency=medium

  * debian-compat to 12. Remove debian/compat

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Thu, 07 Mar 2019 18:22:52 +0100
