=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: utils
 Priority: optional
 Maintainer: Baptiste BEAUPLAT <lyknode@cilg.org>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.0
 Homepage: https://www.monitorix.org
 Vcs-Browser: https://salsa.debian.org/debian/monitorix
 Vcs-Git: https://salsa.debian.org/debian/monitorix.git
 
 Package: monitorix
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, rrdtool, perl, libwww-perl,
  libmailtools-perl, libmime-lite-perl, librrds-perl, libdbi-perl,
  libhttp-server-simple-perl, libconfig-general-perl, libio-socket-ssl-perl,
