=== debian/changelog ===
monitorix (3.12.0-2) unstable; urgency=medium

  * d/copyright: add Jordi Sanfeliu as Upstream-Contact
  * Bump debhelper-compat (= 13)
  * Set my last name as lowercase in Maintainer field
  * Update copyright info (last name lowercase and year)
  * Add salsa CI pipeline
  * Add forwarded links to upstream patches

 -- Baptiste Beauplat <lyknode@cilg.org>  Wed, 04 Nov 2020 18:48:36 +0100

monitorix (3.12.0-1) unstable; urgency=medium

  * New upstream version 3.12.0
  * Rediff patches
  * Install /etc/default/monitorix to pass options to the service
  * Add libxml-libxml-perl as new dependency
  * Bump std version to 4.5.0: no changes
  * Add Rules-Requires-Root: no to d/control
  * Add upstream metadata

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Fri, 21 Feb 2020 23:20:52 +0100
