=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: monitorix
 Section: utils
 Priority: optional
-Maintainer: Baptiste BEAUPLAT <lyknode@cilg.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.0
+Maintainer: Baptiste Beauplat <lyknode@cilg.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
 Homepage: https://www.monitorix.org
 Vcs-Browser: https://salsa.debian.org/debian/monitorix
 Vcs-Git: https://salsa.debian.org/debian/monitorix.git
+Rules-Requires-Root: no
 
 Package: monitorix
 Architecture: all
@@ -14,7 +15,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, rrdtool, perl, libwww-perl,
  libmailtools-perl, libmime-lite-perl, librrds-perl, libdbi-perl,
  libhttp-server-simple-perl, libconfig-general-perl, libio-socket-ssl-perl,
- libxml-simple-perl, net-tools
+ libxml-simple-perl, net-tools, libxml-libxml-perl
 Description: lightweight system monitoring tool
  Monitorix is a lightweight tool that allow you to gather and display system
  metrics.
