=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- install-bin install-man
	install -m 0644 docs/debian.conf debian/monitorix/etc/monitorix/conf.d/00-debian.conf
