=== debian/changelog ===
monitorix (3.13.1-1) unstable; urgency=medium

  * New upstream version 3.13.1
  * Rediff patches:
    - Drop 'add local_fs as requirement for init script', applied upstream
    - Update 'fix spelling mistakes', most of it applied upstream
  * Update copyright years and my email info
  * Bump Standard-Version to 4.5.1
  * Add Forwarded: not-needed hint for use-sysconfig-as-default and
    use-monitorix-user-for-http-process patches
  * Remove obsolete /etc/sysconfig/monitorix conffile

 -- Baptiste Beauplat <lyknode@debian.org>  Fri, 20 Aug 2021 13:50:37 +0200
