=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: monitorix
 Section: utils
 Priority: optional
-Maintainer: Baptiste Beauplat <lyknode@cilg.org>
+Maintainer: Baptiste Beauplat <lyknode@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://www.monitorix.org
 Vcs-Browser: https://salsa.debian.org/debian/monitorix
 Vcs-Git: https://salsa.debian.org/debian/monitorix.git
