=== debian/changelog ===
monitorix (3.14.0-1) unstable; urgency=medium

  * New upstream version 3.14.0
  * Update years in d/copyright
  * Bump Standards-Version to 4.6.0
  * Fix spelling mistake in d/changelog
  * Update spelling mistake patch to fix minor typo
  * Run wrap-and-sort -ast
  * Replace unused ${shlibs:Depends} by missing ${perl:Depends}

 -- Baptiste Beauplat <lyknode@debian.org>  Mon, 24 Jan 2022 18:54:53 +0100
