=== debian/changelog ===
monitorix (3.15.0-1) unstable; urgency=medium

  * New upstream version 3.15.0
  * Bump Standards-Version to 4.6.2
  * Update 0002-fix-spelling-mistakes.patch with new typo fixes
  * Set pristine-tar as default for d/gbp.conf

 -- Baptiste Beauplat <lyknode@debian.org>  Mon, 26 Dec 2022 11:16:28 +0100
