=== debian/watch ===
version=4
https://www.monitorix.org/downloads.html \
  https://www.monitorix.org/monitorix-([\d\.]+)\.tar\.gz debian uupdate
