## monitorix 3.16.0

=== debian/changelog ===
monitorix (3.16.0-1) unstable; urgency=medium

  * New upstream version 3.16.0
  * Rediff patches
  * Update copyright years
  * Bump Standards-Version to 4.7.0
  * Add passwd as binary Depends

 -- Baptiste Beauplat <lyknode@debian.org>  Fri, 10 Jan 2025 11:43:44 +0100
