=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Baptiste Beauplat <lyknode@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.monitorix.org
 Vcs-Browser: https://salsa.debian.org/debian/monitorix
 Vcs-Git: https://salsa.debian.org/debian/monitorix.git
@@ -26,6 +26,7 @@
  libxml-libxml-perl,
  libxml-simple-perl,
  net-tools,
+ passwd,
  rrdtool,
  ${misc:Depends},
  ${perl:Depends},
